# pushover – Send notifications via https://pushover.net

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Send notifications via pushover, to subscriber list of devices, and email addresses. Requires pushover app on devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
app_token - / required |  | Pushover issued token identifying your pushover app.
msg - / required |  | What message you wish to send.
pri - |  | Message priority (see https://pushover.net for details).
title - added in 2.8 |  | Message title.
user_key - / required |  | Pushover issued authentication key for your user.

## Notes

Note

- You will require a pushover.net account to use this module. But no account is required to receive messages.

## Examples

    - pushover:
        msg: '{{ inventory_hostname }} is acting strange ...'
        app_token: wxfdksl
        user_key: baa5fe97f2c5ab3ca8f0bb59
      delegate_to: localhost

    - pushover:
        title: 'Alert!'
        msg: '{{ inventory_hostname }} has exploded in flames, It is now time to panic'
        pri: 1
        app_token: wxfdksl
        user_key: baa5fe97f2c5ab3ca8f0bb59
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jim Richardson (@weaselkeeper)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.